Create a 10DLC brand registration. The brand starts in draft status. Submit it for review using the submit endpoint.
curl --request POST \
--url https://api.zavu.dev/v1/10dlc/brands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityType": "PRIVATE_PROFIT",
"displayName": "Acme Corp",
"companyName": "Acme Corporation",
"ein": "12-3456789",
"email": "compliance@acme.com",
"phone": "+14155551234",
"street": "123 Main St",
"city": "San Francisco",
"state": "CA",
"postalCode": "94102",
"country": "US",
"website": "https://acme.com",
"vertical": "Technology"
}
'{
"brand": {
"id": "<string>",
"entityType": "PRIVATE_PROFIT",
"displayName": "Acme Corp",
"email": "jsmith@example.com",
"phone": "+14155551234",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "US",
"vertical": "Technology",
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"companyName": "<string>",
"ein": "12-3456789",
"firstName": "<string>",
"lastName": "<string>",
"website": "<string>",
"stockSymbol": "<string>",
"stockExchange": "<string>",
"brandScore": 123,
"brandRelationship": "<string>",
"failureReason": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"verifiedAt": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Business entity type for 10DLC brand registration.
PRIVATE_PROFIT, PUBLIC_PROFIT, NON_PROFIT, GOVERNMENT, SOLE_PROPRIETOR Display name of the brand.
100"Acme Corp"
Contact phone in E.164 format.
"+14155551234"
2001005020Two-letter ISO country code.
2"US"
Industry vertical.
50"Technology"
Legal company name.
200Employer Identification Number (format: XX-XXXXXXX).
"12-3456789"
50501050Brand created in draft status.
Show child attributes
curl --request POST \
--url https://api.zavu.dev/v1/10dlc/brands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityType": "PRIVATE_PROFIT",
"displayName": "Acme Corp",
"companyName": "Acme Corporation",
"ein": "12-3456789",
"email": "compliance@acme.com",
"phone": "+14155551234",
"street": "123 Main St",
"city": "San Francisco",
"state": "CA",
"postalCode": "94102",
"country": "US",
"website": "https://acme.com",
"vertical": "Technology"
}
'{
"brand": {
"id": "<string>",
"entityType": "PRIVATE_PROFIT",
"displayName": "Acme Corp",
"email": "jsmith@example.com",
"phone": "+14155551234",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "US",
"vertical": "Technology",
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"companyName": "<string>",
"ein": "12-3456789",
"firstName": "<string>",
"lastName": "<string>",
"website": "<string>",
"stockSymbol": "<string>",
"stockExchange": "<string>",
"brandScore": 123,
"brandRelationship": "<string>",
"failureReason": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"verifiedAt": "2023-11-07T05:31:56Z"
}
}